==================== 2.23.2 ====================

2008-03-27  Cosimo Cecchi  <cosimoc@gnome.org>

	* metacity-window-manager.c: (metacity_change_settings),
	(metacity_get_settings), (metacity_get_double_click_actions):
	add "Maximize Vertically" and "Maximize Horizontally" to possible
	double-click actions. Closes bug #329503.

2007-08-12  Jens Granseuer  <jensgr@gmx.net>

	* metacity-window-manager.c: (metacity_change_settings),
	(metacity_get_settings), (metacity_get_double_click_actions):
	expose missing metacity double-click actions. Closes bug #416541.

2007-03-05  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Loic Minier <lool+gnome@via.ecp.fr>

	* Makefile.am: add GNOMECC_LIBS to linker args. Closes bug #413468.

2007-01-17  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-wm-manager.c: (wm_load): Call gnome_desktop_item_new_from_file
	with the right arguments. Closes bug #382039.

2005-11-14  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-window-manager.c: (gnome_window_manager_class_init):
	Remove some unused code.

2005-07-19  Mark McLoughlin  <mark@skynet.ie>

	See http://mail.gnome.org/archives/desktop-devel-list/2005-July/msg00341.html

	* wm-exec.c, wm-list.c, wm-properties.h: remove old crufty
	code.
	
	* Makefile.am: update.

2004-12-25  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-wm-manager.c: s/gboolean/guint/ in single bitfield to
	quiet warnings from sparse.

2004-10-14  Jody Goldberg <jody@gnome.org>

	* Release 2.8.1

Mon Jun 21 17:41:23 2004  Jonathan Blandford  <jrb@gnome.org>

	* gnome-window-manager.c (gnome_wm_settings_copy|free): add copy
	and free functions for the WM settings.

2004-04-15  Jody Goldberg <jody@gnome.org>

	* Release 2.6.1

2004-04-01  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0.3

2004-03-30  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0.1

2004-03-23  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0

2004-03-11  Jody Goldberg <jody@gnome.org>

	* Release 2.5.4

2004-02-13  Jody Goldberg <jody@gnome.org>

	* Release 2.5.3

2004-01-14  Jody Goldberg <jody@gnome.org>

	* Release 2.5.2

2003-12-30  Jody Goldberg <jody@gnome.org>

	* Release 2.5.1.1

2003-12-30  Jody Goldberg <jody@gnome.org>

	* Release 2.5.1

2003-10-28  Jody Goldberg <jody@gnome.org>

	* Release 2.5.0

2003-07-07  Jody Goldberg <jody@gnome.org>

	* Release 2.3.4

2003-06-24  Jody Goldberg <jody@gnome.org>

	* Release 2.3.3

2003-05-16  J.H.M. Dassen (Ray) <jdassen@debian.org>

	* Makefile.am: Added libgnome_window_settings_la_LIBADD to get complete
	inter-library dependency information into the library.

2003-05-07  Jody Goldberg <jody@gnome.org>

	* Release 2.3.1

Fri May  2 17:48:07 2003  Jonathan Blandford  <jrb@redhat.com>

	* metacity-window-manager.c (add_themes_from_dir): better error
	checking.

2003-03-30  Andrew Sobala  <aes@gnome.org>

	* gnome-window-settings-2.0.pc.in:
	s/-lwindow-settings/-lgnome-window-settings/

Tue Feb  4 17:09:18 2003  Jonathan Blandford  <jrb@redhat.com>

	* Release 2.2.0.1

Tue Jan 21 01:15:14 2003  Jonathan Blandford  <jrb@gnome.org>

	* Release 2.2.0

2003-01-19  Mikael Hallendal  <micke@codefactory.se>

	* metacity-window-manager.c:
	(add_themes_from_dir): Fixed bug that caused not all themes to be
	  loaded properly.

Thu Jan 16 02:41:09 2003  Jonathan Blandford  <jrb@gnome.org>

	* Release 2.1.7

2003-01-10  Jody Goldberg <jody@gnome.org>

	* Release 2.1.6

2003-01-08  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=101433
	* gnome-window-manager.c
	(gnome_window_manager_get_double_click_actions) : fix trivial
	stupidity.  How did this last so long ?

2002-12-18  Jody Goldberg <jody@gnome.org>

	* Release 2.1.5

2002-11-23  Jody Goldberg <jody@gnome.org>

	* Release 2.1.3

2002-11-02  Jody Goldberg <jody@gnome.org>

	* Release 2.1.2

Thu Oct 31 17:52:31 2002  Jonathan Blandford  <jrb@gnome.org>

	* metacity-window-manager.c (metacity_get_theme_list): Get the
	themes from the new location, instead of the old one.

	* metacity-window-manager.c (metacity_get_settings): simplify
	logic and fix bug.

2002-10-26  Havoc Pennington  <hp@pobox.com>

	* gnome-window-manager.c: handle NULL fields in the class struct;
	and replace the individual setters with get/set for a big 
	struct with flags indicating which fields we care about, 
	a la a graphics context. Add settings_changed signal.
	(gnome_window_manager_get_type): change object name to
	GnomeWindowManager not GWindowManager

	* gnome-window-manager.h (struct _GnomeWindowManagerClass): add
	padding to the class struct

	* Makefile.am: move metacity module here from capplets/windows/
	(libgnome_window_settings_la_SOURCES): don't build the code to
	switch window managers, it was bitrotted and broken anyway, and
	isn't in the UI right now. Keep the code in EXTRA_DIST in case
	someone wants to recover it. Move some relevant bits to 
	gnome-wm-manager.c

2002-10-21  Jody Goldberg <jody@gnome.org>

	* Release 2.1.1

2002-10-01  Jody Goldberg <jody@gnome.org>

	* Release 2.1.0.1

2002-08-26  Jody Goldberg <jody@gnome.org>

	* gnome-wm-manager.c (gnome_wm_manager_get_current) : handle NULL.

2002-08-21  Jody Goldberg <jody@gnome.org>

	* Release 2.1.0

2002-08-08  Seth Nickell  <snickell@stanford.edu>

	* gnome-window-manager.c: (gnome_window_manager_set_theme),
	(gnome_window_manager_get_theme_list),
	(gnome_window_manager_set_font),
	(gnome_window_manager_set_focus_follows_mouse),
	(gnome_window_manager_get_user_theme_folder),
	(gnome_window_manager_class_init):
	* gnome-window-manager.h:

	Add get_user_theme_folder, fix some minor bugs.
	
2002-06-17  Jody Goldberg <jody@gnome.org>

	* Release 2.0.0

2002-06-04  Seth Nickell  <snickell@stanford.edu>

	* gnome-window-manager.c: (gnome_window_manager_new):

	Change to X-GnomeWMSettingsLibrary, because its evil to add new items to
	.desktop files without the X :-)

2002-06-04  Seth Nickell  <snickell@stanford.edu>

	* gnome-window-manager.c: (gnome_window_manager_new),
	(gnome_window_manager_class_init):
	* gnome-window-manager.h:

	Get rid of "get" calls, since we should just rely on the GConf settings being right.
	Otherwise you get ambiguous problems with merging settings, figuring out which
	takes predecedence, etc.
	
2002-06-04  Seth Nickell  <snickell@stanford.edu>

	* gnome-window-manager.c: (gnome_window_manager_get_ditem):
	* gnome-window-manager.h:
	* gnome-wm-manager.c: (gnome_wm_manager_set_current),
	(gnome_wm_manager_get_current), (gnome_wm_manager_same_wm):
	* gnome-wm-manager.h:

	Clean the APIs a little bit, add a mechanism for discovering if two GnomeWindowManager *s are
	the same Window Manager underneath.
	
2002-06-03  Kjartan Maraas  <kmaraas@gnome.org>

	* .cvsignore: Add newline
	* gnome-wm-manager.c: Added #include <config.h>
	
2002-06-02  Seth Nickell  <snickell@stanford.edu>

	* .cvsignore:

	Update to deal with the .pc file that gets generated.
	
	* Makefile.am:

	Build a real library, not just a non-installed. This is to get around
	problems dealing with GObject inheritance and static memory problems. We
	have a run time loaded object deriving from the library, so it has to link it in. But then
	the problem that occurs is that both the run-time loaded library and the
	program that calls it statically link the .la in. Then they have different
	memory spaces, and type registration goes to pot. Open to suggestions if there's
	a way of doing this without making an installed library.
	
	* gnome-window-manager.c: (gnome_window_manager_new),
	(gnome_window_manager_get_name), (gnome_window_manager_set_theme),
	(gnome_window_manager_get_theme_list),
	(gnome_window_manager_set_font),
	(gnome_window_manager_get_focus_follows_mouse),
	(gnome_window_manager_set_focus_follows_mouse),
	(gnome_window_manager_init), (gnome_window_manager_finalize),
	(gnome_window_manager_class_init), (gnome_window_manager_get_type):
	* gnome-window-manager.h:

	Lots of formatting fixes, change some of the boilerplate.

	* gnome-window-settings-2.0.pc.in:

	Since we're installing a library, go the whole way. Its good to make this
	easy to depend on for external window managers anyway, now that I think
	of it.
	
	* gnome-wm-manager.c: (gnome_wm_manager_init),
	(gnome_wm_manager_get_list), (gnome_wm_manager_set_current),
	(gnome_wm_manager_get_current),
	(gnome_wm_manager_change_wm_to_settings), (restart_label_update),
	(restart_dialog_raise), (restart_dialog_destroyed),
	(show_restart_dialog), (hide_restart_dialog), (init_session),
	(update_session), (init_callback), (restart_finalize),
	(restart_failure), (show_restart_info), (restart_finish),
	(restart_callback), (restart), (revert_callback),
	(cancel_callback):
	* gnome-wm-manager.h:

	Add code for doing the window manager switch to the library,
	snitched out of wm-properties. Its probably a little broken right now.
	
	* wm-exec.c: (wm_is_running), (find_gnome_wm_window),
	(find_wm_window_from_client), (window_has_wm_state),
	(descendent_has_wm_state), (find_wm_window_from_hunt),
	(find_wm_window), (start_timeout), (start_do), (kill_timeout),
	(wm_restart), (wm_guess_current):
	* wm-list.c: (is_blank), (wm_compare), (wm_free),
	(wm_check_present), (wm_copy), (wm_list_find), (wm_list_find_exec),
	(wm_list_find_files), (wm_list_read_dir), (wm_list_init),
	(wm_list_save), (wm_list_revert), (wm_list_add), (wm_list_delete),
	(wm_list_set_current), (wm_list_get_current), (wm_list_get_revert),
	(wm_read_from_xml), (wm_list_read_from_xml), (wm_write_to_xml),
	(wm_list_write_to_xml), (xml_read_bool), (xml_write_bool):
	* wm-properties.h:

	Take wm-switching code out of the capplet, move it here.

	(Jacob, I did a make dist and build the resulting tarball, hope things
	 don't break for you this time ... )

2002-05-15  jacob berkman  <jacob@ximian.com>

	* Makefile.am: don't link against libs, like libbackground does

2002-05-14  Seth Nickell  <snickell@stanford.edu>

	* .cvsignore:
	* Makefile.am:
	* gnome-window-manager.c: (gnome_window_manager_new):
	* gnome-window-manager.h:

	Move code out of window capplet into a seperate library so the settings
	daemon can avail of it.
